%global momorel 1

Name:           gnome-autoar
Version:        0.2.3
Release:        %{momorel}m%{?dist}
Summary:        Archive library
Group:          Development/Libraries

License:        LGPLv2+
URL:            https://git.gnome.org/browse/gnome-autoar
Source0:        https://download.gnome.org/sources/gnome-autoar/0.2/gnome-autoar-%{version}.tar.xz
NoSource:       0

BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  libarchive-devel >= 3.2

%description
gnome-autoar is a GObject based library for handling archives.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup


%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=implicit-function-declaration"
export CXXFLAGS="$CFLAGS"
%configure --disable-static
%make


%install
rm -rf %{buildroot}

%make_install
find %{buildroot} -name '*.la' -delete

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GnomeAutoar-0.1.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-0.1.typelib
%{_libdir}/libgnome-autoar-0.so.0*
%{_libdir}/libgnome-autoar-gtk-0.so.0*
%{_datadir}/vala/vapi/gnome-autoar-0.vapi
%{_datadir}/vala/vapi/gnome-autoar-gtk-0.vapi
#%{_datadir}/glib-2.0/schemas/org.gnome.desktop.archives.enums.xml
#%{_datadir}/glib-2.0/schemas/org.gnome.desktop.archives.gschema.xml

%files devel
%{_includedir}/gnome-autoar-0/
%{_libdir}/pkgconfig/gnome-autoar-0.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-0.pc
%{_libdir}/*.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GnomeAutoar-0.1.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-0.1.gir
%{_datadir}/gtk-doc/


%changelog
* Sat Sep 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Fri Mar 17 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-1m)
- update 0.2.1

* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-1m)
- initial commit Momonga Linux

* Sat Sep 03 2016 Kalev Lember <klember@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 0.1.0-1
- Initial Fedora build
